Subject: Re: [PATCH 12/30] wireless: ath: wil6210: wmi: Correct misnamed function parameter 'ptr_'

From: Kalle Valo <[email-masked]>
Date: Thu, 27 Aug 2020 14:40:21 +0300

Lee Jones <[email-masked]> writes:

> On Thu, 27 Aug 2020, Lee Jones wrote:
>
>> On Wed, 26 Aug 2020, Kalle Valo wrote:
>> 
>> > Lee Jones <[email-masked]> wrote:
>> > 
>> > > Fixes the following W=1 kernel build warning(s):
>> > > 
>> > >  drivers/net/wireless/ath/wil6210/wmi.c:279: warning: Function
>> > > parameter or member 'ptr_' not described in 'wmi_buffer_block'
>> > >  drivers/net/wireless/ath/wil6210/wmi.c:279: warning: Excess
>> > > function parameter 'ptr' description in 'wmi_buffer_block'
>> > > 
>> > > Cc: Maya Erez <[email-masked]>
>> > > Cc: Kalle Valo <[email-masked]>
>> > > Cc: "David S. Miller" <[email-masked]>
>> > > Cc: Jakub Kicinski <[email-masked]>
>> > > Cc: [email-masked]
>> > > Cc: [email-masked]
>> > > Cc: [email-masked]
>> > > Signed-off-by: Lee Jones <[email-masked]>
>> > 
>> > Failed to apply:
>> > 
>> > error: patch failed: drivers/net/wireless/ath/wil6210/wmi.c:266
>> > error: drivers/net/wireless/ath/wil6210/wmi.c: patch does not apply
>> > stg import: Diff does not apply cleanly
>> > 
>> > Patch set to Changes Requested.
>> 
>> Are you applying them in order?
>> 
>> It may be affected by:
>> 
>>  wireless: ath: wil6210: wmi: Fix formatting and demote
>> non-conforming function headers
>> 
>> I'll also rebase onto the latest -next and resubmit.
>
> I just rebased all 3 sets onto the latest -next (next-20200827)
> without issue.  Not sure what problem you're seeing.  Did you apply
> the first set before attempting the second?

I can't remember the order, patchwork sorts them based on the order they
have been submitted and that's what I usually use.

Do note that there's a separate tree for drivers in
drivers/net/wireless/ath:

https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git/

And it takes a week or two before patches go to linux-next.

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches